<?php

/*
    ExtremeDating - a Hackathon 2013 project.
    Copyright (C) 2013 Gustav Hartvigsson <gustav.hartvigsson@gmail.com>
    Copyright (C) 2013 Daniel Johansson <maila@danieljohansson.nu>


    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

include "php/db.php";
$def = "iVBORw0KGgoAAAANSUhEUgAAAXwAAAF8CAIAAABDhZedAAAACXBIWXMAAAsTAAALEwEAmpwYAAAA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";

header("Content-type: image/png");
if(isset($_GET['userName'])){
  $username = $_GET['userName'];
  $query = "SELECT profileImage FROM Users WHERE loginName = '{$username}'";
  $tuples = $db->query($query);
  //var_dump($tuples);
  $fetch = $tuples->fetchAll();
  //var_dump($fetch);
  if(count($fetch) > 0 && $fetch[0]['profileImage'] != "" ) {
    echo(base64_decode($fetch[0]['profileImage']));
  } else {
    echo base64_decode($def);
  } 
} else {
  echo base64_decode($def);
}


?>
